MoreJS.wandererTrades((event) => {
  event.addTrade(1, Item.of('magic_coins:gold_coin', 1), 'naturescompass:naturescompass');
});

MoreJS.villagerTrades((event) => {
  const trade = VillagerUtils.createCustomMapTrade(['10x minecraft:diamond', 'minecraft:paper'], (level, entity) => {
    const rndBiome = Registry.of('worldgen/biome').getValues('#minecraft:is_overworld').getRandom();
    return MoreUtils.findBiome(entity.blockPosition(), level, rndBiome, 250);
  });

  event.addTrade('minecraft:cartographer', 1, trade);
});
